

#define DUMMY_PACKET            0xFFFFFFFFUL
#define SYNC_PACKET             0xAA995566UL
#define NOP_PACKET              0X20000000UL
#define CMD_PACKET              0x30008001UL
#define FAR_PACKET              0x30002001UL
#define IDCODE_PACKET           0x30018001UL
#define STAT_PACKET             0x2800E001UL


#define WCFG_CMD                1    // Write configuration comand.
#define LFRM_CMD                3    // Write last frame command.
#define RCFG_CMD                4   
#define RCRC_CMD                7
#define DESYNC_CMD              14


/* Configuration registers */
#define FDRI                    2   //Frame data register input
#define STAT                    7   //Status register

/* Constant to use for CRC check when CRC has been disabled */
#define XHI_DISABLED_AUTO_CRC       0x0000DEFCUL
#define XHI_TYPE_1_PACKET_MAX_WORDS 1024

#define WORDS_PR_FRAME              41

#define TYPE2                       30  //Bitposition for type 2 header
#define TYPE1                       29  //Bitposition for type 1 header

#define REG_ADDR                    13  //Bitposition for register address in type 1 header

#define OP_READ                     27  //Bitposition for read op
#define OP_WRITE                    28  //Bitposition for write op

/* Device specific ID code */
#define V4FX12ID                    0x21E58093;  // Value read out from the virtex fx12 used.
