--Modified version from check-config by Daniel Blomkvist

library ieee;
use ieee.std_logic_1164.all;


package check_config_package is
	constant EXT_INPUT_NUM : integer := 1;
	constant EN_NUM : integer := 5;
	constant CONF_DATA_LEN : integer := 2;
	
	subtype conf_info is std_logic_vector(EN_NUM -1 downto 0);
	subtype conf_data is std_logic_vector(CONF_DATA_LEN*EN_NUM -1 downto 0);
	

	function check_config(signal valid : conf_data; signal input : conf_info) return std_logic;

end check_config_package;

package body check_config_package is
	function check_config(signal valid : conf_data; signal input : conf_info) return std_logic is
		variable hit: std_logic;
		begin
			hit := '0';
			for i in 0 to CONF_DATA_LEN -1 loop
				if valid( EN_NUM*(i+1)-1 downto EN_NUM*i) = input  then
					hit := '1';
				end if;
			end loop;
		return hit;
	end check_config;
end check_config_package;
